unit InterfaceTest;

{$H+}

interface

type

  { ITestInterface }

  ITestInterface = interface ['{8B84A703-5A2A-4DAC-AA4A-154E03C248CB}']
  end;

  { TInterfacedClass }

  TInterfacedClass = class(TInterfacedObject, ITestInterface)
  strict protected
    FBuffer: ^Integer;
  public
    constructor Create;
    destructor Destroy; override;
  end;

implementation

{ TInterfacedClass }

constructor TInterfacedClass.Create;
begin
  inherited Create;
  FBuffer := GetMem(SizeOf(Integer));
end;

destructor TInterfacedClass.Destroy;
begin
  FreeMem(FBuffer);
  inherited;
end;

end.
